
Core - Bug # 46007

Status: Resolved Priority: Must have
Author: Henrik Ziegenhain Category: File Abstraction Layer (FAL)
Created: 2013-03-04 Assigned To:
Updated: 2013-03-05 Due date:
TYPO3 Version: 6.0
PHP Version: 5.3
Complexity:
Is Regression:
Sprint Focus:
Subject: Downloads with Whitespaces in Foldername fails after Migrate
Description

In the past download links set via RTE are stored in DB like this:
<link fileadmin/user_upload/pdf/10Ratgeber%20%2B%20Anleitungen/file.pdf _blank download "Leitet Herunterladen der Datei
ein">Download</link>

When I edit the Content Element with the above mentioned link I get the attached Exception.

In my eyes this issue is caused by the whitespaces in the foldername. Renaming the dir to "10Ratgeber_Anleitungen" and editing the
path manually with phpmyadmin solves the problem.

Related issues:
related to Core - Bug # 45490: Problem with blank spaces in data/folder names Closed 2013-02-14

History
#1 - 2013-03-04 12:04 - Henrik Ziegenhain

Maybe related to #45490

#2 - 2013-03-04 12:11 - Henrik Ziegenhain

The attached patch at #45490 from Marc Bastian Heinrichs solves this issue.

#3 - 2013-03-05 00:51 - Michael Stucki
- Status changed from New to Resolved

As this seems to be a duplicate of #45490, I am closing this issue.
